Main Page Class List Class Members

# Foundation

## Classes
struct | NvPackValidation
## Defines
#define | NV_A64 0
#define | NV_ALIGN(alignment, decl)
#define | NV_ALIGN_PREFIX(alignment)
#define | NV_ALIGN_SUFFIX(alignment)
#define | NV_ANDROID 0
#define | NV_APPLE_FAMILY (NV_IOS || NV_OSX)
#define | NV_ARM 0
#define | NV_ARM_FAMILY (NV_ARM || NV_A64)
#define | NV_CHECKED 0
#define | NV_CLANG 0
#define | NV_COMPILE_TIME_ASSERT(exp) typedef char NvCompileTimeAssert_Dummy[(exp) ? 1 : -1]
#define | NV_CONCAT(X, Y) NV_CONCAT_HELPER(X, Y)
#define | NV_CONCAT_HELPER(X, Y) X##Y
#define | NV_CUDA_CALLABLE
#define | NV_DEBUG 0
#define | NV_DEPRECATED
#define | NV_DLL_EXPORT NV_UNIX_EXPORT
#define | NV_DLL_IMPORT
#define | NV_DOXYGEN 0
#define | NV_DUMMY_SYMBOL
#define | NV_ENABLE_ASSERTS 0
#define | NV_FORCE_INLINE inline
#define | NV_GCC 0
#define | NV_GCC_FAMILY (NV_CLANG || NV_SNC || NV_GHS || NV_GCC)
#define | NV_GHS 0
#define | NV_INLINE inline
#define | NV_INTEL_FAMILY (NV_X64 || NV_X86)
#define | NV_IOS 0
#define | NV_LINUX 0
#define | NV_LINUX_FAMILY (NV_LINUX || NV_ANDROID)
#define | NV_MICROSOFT_FAMILY (NV_XBOXONE || NV_X360 || NV_WINDOWS_FAMILY)
#define | NV_NEON 0
#define | NV_NOALIAS
#define | NV_NOCOPY(Class)
#define | NV_NOINLINE
#define | NV_NVTX 0
#define | NV_OFFSET_OF(X, Y) offsetof(X, Y)
#define | NV_OFFSET_OF_RT(Class, Member) (reinterpret_cast<size_t>(&reinterpret_cast<Class*>(NV_OFFSETOF_BASE)->Member) - size_t(NV_OFFSETOF_BASE))
#define | NV_OFFSETOF_BASE 0x100
#define | NV_OSX 0
#define | NV_P64_FAMILY (NV_X64 || NV_A64)
#define | NV_POP_PACK
#define | NV_PPC 0
#define | NV_PPU (NV_PS3&& NV_PPC)
#define | NV_PROFILE 0
#define | NV_PS3 0
#define | NV_PS4 0
#define | NV_PSP2 0
#define | NV_PUSH_PACK_DEFAULT
#define | NV_RESTRICT __restrict
#define | NV_SNC 0
#define | NV_SPU 0
#define | NV_SSE2 0
#define | NV_STRINGIZE(X) NV_STRINGIZE_HELPER(X)
#define | NV_STRINGIZE_HELPER(X) #X
#define | NV_UNIX_EXPORT
#define | NV_UNIX_FAMILY (NV_LINUX_FAMILY || NV_APPLE_FAMILY)
#define | NV_VC 0
#define | NV_VMX 0
#define | NV_WEAK_SYMBOL
#define | NV_WIIU 0
#define | NV_WIN32 0
#define | NV_WIN64 0
#define | NV_WINDOWS_FAMILY (NV_WINRT || NV_WIN32 || NV_WIN64)
#define | NV_WINRT 0
#define | NV_X360 0
#define | NV_X64 0
#define | NV_X86 0
#define | NV_XBOXONE 0
## Functions
| NV_COMPILE_TIME_ASSERT (NV_OFFSET_OF(NvPackValidation, a)==8)
template<class T >
NV_CUDA_CALLABLE NV_INLINE void | NV_UNUSED (T const &)

## Define Documentation

#define NV_A64 0

#define NV_ALIGN | ( | alignment,
|  | decl |  | ) |

Alignment macros

NV_ALIGN_PREFIX and NV_ALIGN_SUFFIX can be used for type alignment instead of aligning individual variables as follows: NV_ALIGN_PREFIX(16) struct A { ... } NV_ALIGN_SUFFIX(16); This declaration style is parsed correctly by Visual Assist.

#define NV_ALIGN_PREFIX | ( | alignment |  | ) |

#define NV_ALIGN_SUFFIX | ( | alignment |  | ) |

#define NV_ANDROID 0

#define NV_APPLE_FAMILY (NV_IOS || NV_OSX)

#define NV_ARM 0

#define NV_ARM_FAMILY (NV_ARM || NV_A64)

#define NV_CHECKED 0

#define NV_CLANG 0

#define NV_COMPILE_TIME_ASSERT | ( | exp |  | ) | typedef char NvCompileTimeAssert_Dummy[(exp) ? 1 : -1]

General defines

#define NV_CONCAT | ( | X,
|  | Y |  | ) | NV_CONCAT_HELPER(X, Y)

#define NV_CONCAT_HELPER | ( | X,
|  | Y |  | ) | X##Y

#define NV_CUDA_CALLABLE

#define NV_DEBUG 0

#define NV_DEPRECATED

Deprecated macro

- To deprecate a function: Place NV_DEPRECATED at the start of the function header (leftmost word).
- To deprecate a 'typedef', a 'struct' or a 'class': Place NV_DEPRECATED directly after the keywords ('typdef', 'struct', 'class').

Use these macro definitions to create warnings for deprecated functions define NV_DEPRECATED __declspec(deprecated) // Microsoft define NV_DEPRECATED __attribute__((deprecated())) // GCC

#define NV_DLL_EXPORT NV_UNIX_EXPORT

#define NV_DLL_IMPORT

#define NV_DOXYGEN 0

#define NV_DUMMY_SYMBOL

#define NV_ENABLE_ASSERTS 0

Assert macro

#define NV_FORCE_INLINE inline

Force inline macro

#define NV_GCC 0

#define NV_GCC_FAMILY (NV_CLANG || NV_SNC || NV_GHS || NV_GCC)

family shortcuts

#define NV_GHS 0

#define NV_INLINE inline

Inline macro

#define NV_INTEL_FAMILY (NV_X64 || NV_X86)

#define NV_IOS 0

#define NV_LINUX 0

#define NV_LINUX_FAMILY (NV_LINUX || NV_ANDROID)

#define NV_MICROSOFT_FAMILY (NV_XBOXONE || NV_X360 || NV_WINDOWS_FAMILY)

#define NV_NEON 0

#define NV_NOALIAS

Noalias macro

#define NV_NOCOPY | ( | Class |  | ) |

Value:

    \
    protected:                                                                                                             \
        Class(const Class&);                                                                                               \
        Class& operator=(const Class&);

#define NV_NOINLINE

Noinline macro

#define NV_NVTX 0

#define NV_OFFSET_OF | ( | X,
|  | Y |  | ) | offsetof(X, Y)

#define NV_OFFSET_OF_RT | ( | Class,
|  | Member |  | ) | (reinterpret_cast<size_t>(&reinterpret_cast<Class*>(NV_OFFSETOF_BASE)->Member) - size_t(NV_OFFSETOF_BASE))

#define NV_OFFSETOF_BASE 0x100

#define NV_OSX 0

#define NV_P64_FAMILY (NV_X64 || NV_A64)

#define NV_POP_PACK

#define NV_PPC 0

#define NV_PPU (NV_PS3&& NV_PPC)

#define NV_PROFILE 0

#define NV_PS3 0

#define NV_PS4 0

#define NV_PSP2 0

#define NV_PUSH_PACK_DEFAULT

Define API function declaration

NV_FOUNDATION_DLL=1 - used by the DLL library (PhysXCommon) to export the API NV_FOUNDATION_DLL=0 - for windows configurations where the NV_FOUNDATION_API is linked through standard static linking no definition - this will allow DLLs and libraries to use the exported API from PhysXCommon Calling convention Pack macros - disabled on SPU because they are not supported

#define NV_RESTRICT __restrict

Restrict macro

#define NV_SNC 0

#define NV_SPU 0

#define NV_SSE2 0

#define NV_STRINGIZE | ( | X |  | ) | NV_STRINGIZE_HELPER(X)

#define NV_STRINGIZE_HELPER | ( | X |  | ) | #X

#define NV_UNIX_EXPORT

DLL export macros

#define NV_UNIX_FAMILY (NV_LINUX_FAMILY || NV_APPLE_FAMILY)

#define NV_VC 0

Compiler defines, see http://sourceforge.net/p/predef/wiki/Compilers/ Operating system defines, see http://sourceforge.net/p/predef/wiki/OperatingSystems/ Architecture defines, see http://sourceforge.net/p/predef/wiki/Architectures/ SIMD defines define anything not defined on this platform to 0

#define NV_VMX 0

#define NV_WEAK_SYMBOL

#define NV_WIIU 0

#define NV_WIN32 0

#define NV_WIN64 0

#define NV_WINDOWS_FAMILY (NV_WINRT || NV_WIN32 || NV_WIN64)

#define NV_WINRT 0

#define NV_X360 0

#define NV_X64 0

#define NV_X86 0

#define NV_XBOXONE 0

## Function Documentation

NV_COMPILE_TIME_ASSERT | ( | NV_OFFSET_OF(NvPackValidation, a) | = `=8` | ) |

template<class T >

NV_CUDA_CALLABLE NV_INLINE void NV_UNUSED | ( | T const & |  | ) | `[inline]`